#ifndef TRAININGSTREAMLINEPICKER_H
#define TRAININGSTREAMLINEPICKER_H

#include <memory>
#include <unordered_set>
#include <vector>

using namespace std;

class Streamline;

class TrainingStreamlinePicker {
public:

	void setStreamlines(const vector<Streamline*>&);

	int pickStreamline();

private:
	void reset();
	int pickBasedOnSimilarity();

private:
	vector<Streamline*> _unpickedStreamlines;
	vector<Streamline*> _pickedStreamlines;
	bool				_streamlineClusteringDone;

};

#endif